Bug 1287270 - Can't connect using NetworkManager-fortisslvpn
Can't connect using NetworkManager-fortisslvpn
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-fortisslvpn (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 16:01 EST by piio
Modified: 2016-10-24 08:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-24 08:11:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log when trying to connect (2.27 KB, text/plain)
2016-01-08 19:26 EST, Pavol Šimo
no flags Details
Connection log from openfortivpn (19.86 KB, text/plain)
2016-02-23 14:36 EST, piio
no flags Details
Connection log from NetworkManager-fortisslvpn (57.48 KB, text/plain)
2016-02-23 14:37 EST, piio
no flags Details

  None (edit)
Description piio 2015-12-01 16:01:23 EST
Description of problem:
My fortisslvpn is connected, but it times out taking ppp0 interface up

Version-Release number of selected component (if applicable):
NetworkManager-fortisslvpn-1.2.0-0.2.20151023git54599865.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Try to connect to SSL FortiGate VPN
2.
3.

Actual results:
[system] Rejected send message, 8 matched rules; type="method_return", sender=":1.156" (uid=0 pid=9236 comm="/usr/libexec/nm-fortisslvpn-service --bus-name org") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.157" (uid=0 pid=9256 comm="/usr/sbin/pppd 38400 noipdefault noaccomp noauth d")
pppd[9256]: Using interface ppp0
pppd[9256]: Connect: ppp0 <--> /dev/pts/1
dbus[1153]: [system] Rejected send message, 8 matched rules; type="method_return", sender=":1.156" (uid=0 pid=9236 comm="/usr/libexec/nm-fortisslvpn-service --bus-name org") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.157" (uid=0 pid=9256 comm="/usr/sbin/pppd 38400 noipdefault noaccomp noauth d")


Expected results:
Tunnel running

Additional info:
Comment 1 Pavol Šimo 2016-01-08 19:26 EST
Created attachment 1113064 [details]
system log when trying to connect

I think I have same problem. Connection using commandline openfortivpn succeeded, but the same configuration failed from NetworkManager.
See the attached log.
Comment 2 piio 2016-02-23 14:36 EST
Created attachment 1129885 [details]
Connection log from openfortivpn
Comment 3 piio 2016-02-23 14:37 EST
Created attachment 1129886 [details]
Connection log from NetworkManager-fortisslvpn
Comment 4 piio 2016-02-23 14:43:27 EST
I tried again connecting using only openfortivpn and by NetworkManager-fortisslvpn (that same gateway, that same settings)

Again, connection through openfortivpn succeed, through NetworkManager-fortisslvpn failed.

I see the difference in my log:

lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: pppd:   80 21 03 62 00 0a 03 06 01 01 01 01
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  gateway ---> pppd (12 bytes)
lut 23 20:07:07 00381-itw.itworks.pl pppd[9753]: Fatal signal 5
lut 23 20:07:07 00381-itw.itworks.pl NetworkManager[1534]: <error> [1456254427.541923] [platform/nm-linux-platform.c:3847] do_change_link(): platform-linux: do-change-link[32]: failure changing link: failure 19 (Nie ma takiego urządzenia)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: gtw:    80 21 01 63 00 0a 03 06 5b ed 24 a1
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  pppd ---> gateway (12 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: pppd:   80 21 03 63 00 0a 03 06 01 01 01 01
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  gateway ---> pppd (12 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: gtw:    80 21 01 64 00 0a 03 06 5b ed 24 a1
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  pppd ---> gateway (12 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: pppd:   80 21 03 64 00 0a 03 06 01 01 01 01
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  gateway ---> pppd (12 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: gtw:    80 21 01 65 00 0a 03 06 5b ed 24 a1
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  pppd ---> gateway (12 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: pppd:   80 21 04 65 00 0a 03 06 5b ed 24 a1
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  gateway ---> pppd (16 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: gtw:    80 21 01 66 00 0e 01 0a 5b ed 24 a1 0a 98 b4 82
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  pppd ---> gateway (16 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: pppd:   80 21 04 66 00 0e 01 0a 5b ed 24 a1 0a 98 b4 82
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  gateway ---> pppd (6 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: gtw:    80 21 01 67 00 04
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: DEBUG:  pppd ---> gateway (6 bytes)
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: pppd:   80 21 02 67 00 04
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Interface ppp0 is UP.
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Tunnel is up and running.
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: ERROR:  read: Input/output error
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Cancelling threads...


I will be very happy when I could stop using Forticlientsslvpn and every connection on my system will be NetworkManager managed.

Thanks in advance for help in resolving this issue.
Comment 5 piio 2016-02-23 14:56:05 EST
I see another difference:

lut 23 20:07:05 00381-itw.itworks.pl pppd[9753]: Using interface ppp1

lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Interface ppp0 is UP.
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Tunnel is up and running.
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: ERROR:  read: Input/output error
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Cancelling threads...
lut 23 20:07:17 00381-itw.itworks.pl NetworkManager[1534]: INFO:   Setting ppp interface down.

There was created new interface ppp1, and checked status for another interface (ppp0)
Comment 6 Jan Kurik 2016-02-24 09:04:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 piio 2016-03-21 14:39:46 EDT
Resolved after commit a626cc7a8962028588d3d4e0285680dd0430384
Comment 8 Thomas Haller 2016-10-24 08:11:38 EDT
In which repository is commit a626cc7a8962028588d3d4e0285680dd0430384 supposed to be? Not NetworkManager-fortisslvpn...

But sounds like this issue no longer happens. Closing as for comment 7.


Please reopen, if still exists. Thanks

Note You need to log in before you can comment on or make changes to this bug.